<template>
  <div>
    <div class="card pt-1 pl-1">
      <div class="card-body p-1">
        <button
          v-for="option in options"
          :key="option.id"
          class="btn mr-1 mb-1"
          :class="
            value.includes(option.id) ? 'btn-primary' : 'btn-light border'
          "
          type="button"
          @click="select(option)"
        >
          {{ option.name }}
        </button>
      </div>
    </div>
  </div>
</template>
<script>
export default {
  props: {
    value: { type: Array, default: () => [] },
    options: { type: Array, default: () => [] }
  },
  methods: {
    select(option) {
      if (this.value.includes(option.id)) {
        this.$emit("input", this.value.filter(x => x !== option.id));
      } else {
        this.$emit("input", [...this.value, option.id]);
      }
    }
  }
};
</script>